/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "render.h"

render_t RENDER_STATE;

void renderInit() {
  // Enable GL things.
  glEnable(GL_BLEND);
  glEnable(GL_TEXTURE_2D);
  glEnable(GL_DEPTH_TEST);

  // Setup the alpha blend function.
  glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
  glDepthMask(GL_TRUE);
  glDepthFunc(GL_LEQUAL);
}

void renderFrameStart() {
  // Clear the frame buffer.
  frameBufferUse(NULL, true);
}

void renderDispose() {
}

void renderSetResolution(int32_t width, int32_t height) {
  RENDER_STATE.width = width;
  RENDER_STATE.height = height;
}