/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../file/asset.h"
#include "../display/gui/font.h"
#include "card.h"
#include "action/action.h"
#include "action/start.h"
#include "render/player.h"
#include "render/card.h"
#include "render/frame.h"
#include "render/look.h"
#include "render/scene.h"
#include "render/world.h"

/**
 * Initializes the Texas Hold'em game
 */
void holdemGameInit();

/**
 * Update the Texas Hold'em game.
 */
void holdemGameUpdate();

/**
 * Dispose the Texas Hold'em game.
 */
void holdemGameDispose();