/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "scene.h"

void holdemRenderSceneInit() {
  HOLDEM_GAME_STATE.tablePrimitive = pokerTableCreate();
  HOLDEM_GAME_STATE.tableTexture = assetTextureLoad("pokertable.png");
}

void holdemRenderScene() {
  // Poker Table
  shaderUsePositionAndScale(GAME_STATE.shaderWorld,
    0, -0.01, 0,
    0, 0, 0,
    3.4, 3.4, 3.4
  );
  shaderUseTexture(GAME_STATE.shaderWorld, HOLDEM_GAME_STATE.tableTexture);
  primitiveDraw(HOLDEM_GAME_STATE.tablePrimitive, 0, -1);
}